insheet using "${ONET}/Work Context.txt", tab clear
	keep if scaleid == "CX"
	keep onetsoccode datavalue elementid 
	rename datavalue wc_
	replace elementid = subinstr(elementid, ".", "_", .) 
	reshape wide wc, i(onetsoccode) j(elementid) string
	
save "${DATA}/onet_raw", replace

insheet using "${ONET}/Skills.txt", tab clear
	keep onetsoccode datavalue elementid scaleid
	rename datavalue sk
	reshape wide sk, i(onetsoccode elementid) j(scaleid) string
	rename skIM skIM_
	rename skLV skLV_
	replace elementid = subinstr(elementid, ".", "_", .) 
	reshape wide sk*, i(onetsoccode) j(elementid) string
merge 1:1 onetsoccode using "${DATA}/onet_raw", keep(3) nogen
merge 1:1 onetsoccode using "${DATA}/onet_raw", keep(3) nogen
save "${DATA}/onet_raw", replace


insheet using "${ONET}/Abilities.txt", tab clear
	keep onetsoccode datavalue elementid scaleid
	rename datavalue ab
	reshape wide ab, i(onetsoccode elementid) j(scaleid) string
	rename abIM abIM_
	rename abLV abLV_
	replace elementid = subinstr(elementid, ".", "_", .) 
	reshape wide ab*, i(onetsoccode) j(elementid) string
merge 1:1 onetsoccode using "${DATA}/onet_raw", keep(3) nogen
save "${DATA}/onet_raw", replace


insheet using "${ONET}/Work Activities.txt", tab clear
	keep onetsoccode datavalue elementid scaleid
	rename datavalue wa
	reshape wide wa, i(onetsoccode elementid) j(scaleid) string
	rename waIM waIM_
	rename waLV waLV_
	replace elementid = subinstr(elementid, ".", "_", .) 
	reshape wide wa*, i(onetsoccode) j(elementid) string
merge 1:1 onetsoccode using "${DATA}/onet_raw", keep(3) nogen
save "${DATA}/onet_raw", replace

insheet using "${ONET}/Knowledge.txt", tab clear
	keep onetsoccode datavalue elementid scaleid
	rename datavalue kn
	reshape wide kn, i(onetsoccode elementid) j(scaleid) string
	rename knIM knIM_
	rename knLV knLV_
	replace elementid = subinstr(elementid, ".", "_", .) 
	reshape wide kn*, i(onetsoccode) j(elementid) string
merge 1:1 onetsoccode using "${DATA}/onet_raw", keep(3) nogen
save "${DATA}/onet_raw", replace
